Bug 6102 - Bib record log viewer displaying wrong biblionumber entries
Summary: Bib record log viewer displaying wrong biblionumber entries
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Transaction logs (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Galen Charlton
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 2892
  Show dependency treegraph
 
Reported: 2011-04-06 18:26 UTC by Jane Wagner
Modified: 2012-10-25 23:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
screenshot of log viewer on biblio # 6364, showing correct and wrong entries (71.27 KB, image/jpeg)
2011-04-06 18:43 UTC, Jane Wagner
Details
proposed bugfix (881 bytes, patch)
2011-04-06 18:56 UTC, Galen Charlton
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jane Wagner 2011-04-06 18:26:09 UTC

    
Comment 1 Jane Wagner 2011-04-06 18:29:45 UTC
When you're in a title record in staff client, and you click on the Modification Log tab, the viewlog.pl script is displaying inappropriate entries.  For example, on biblionumber 6364, it's showing entries for that plus biblionumber 16364.  Same for the pair 16314/6314.  It seems like instead of doing an exact match on the biblionumber, the log viewer page is doing a wildcard -- anything _ending_ in 6314 instead of exactly equal to it, so it's pulling up invalid entries from the log table.

I do not see this happening on patron log entries, but I have a very limited patron set in my test database.
Comment 2 Jane Wagner 2011-04-06 18:43:38 UTC
Created attachment 3763 [details]
screenshot of log viewer on biblio # 6364, showing correct and wrong entries
Comment 3 Galen Charlton 2011-04-06 18:48:16 UTC
Bug confirmed, fix in progress.
Comment 4 Galen Charlton 2011-04-06 18:56:26 UTC
Created attachment 3764 [details] [review]
proposed bugfix
Comment 5 Chris Cormack 2011-04-07 03:47:42 UTC
Fixed by bug 6014, commmit 99b49e2b1aa2e5d2629f1167e2b63c3b3158ffe8